> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Automation

> Update an automation workflow's properties.

## Update automation

`PUT /api/automations/:id`

Update an automation's name, description, trigger, or configuration.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

### Path parameters

**id** `integer` *required*

Automation ID.

### Body parameters

**name** `string`

Automation name.

**description** `string`

Description.

**config** `object`

Trigger configuration.

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/automations/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Updated Welcome Flow" }'
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 1,
    "name": "Updated Welcome Flow",
    "updatedAt": "2026-01-15T14:00:00Z"
  }
}
```

***

## Delete automation

`DELETE /api/automations/:id`

```bash cURL theme={null}
curl -X DELETE https://zeplo.ai/api/automations/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "message": "Automation deleted successfully"
}
```

***

## Toggle automation

`POST /api/automations/:id/toggle`

Toggle an automation between `active` and `inactive`.

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/automations/1/toggle \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 1,
    "status": "inactive"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.